Name:           srecord
Version:        1.51
Release:        1%{?dist}
Summary:        Manipulate EPROM load files

Group:          Development/Tools
License:        GPLv3+
URL:            http://srecord.sourceforge.net/
Source0:        http://downloads.sourceforge.net/srecord/srecord-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  diffutils, sharutils, groff, boost-devel, libgcrypt-devel

%description
The SRecord package is a collection of powerful tools for manipulating
EPROM load files.

- The SRecord package understands a number of file formats: Motorola
  S-Record, Intel, Tektronix, Binary.  These file formats may be read
  and written.  Also C array definitions, for output only.

- The SRecord package has a number of tools: srec_cat for copying and
  and converting files, srec_cmp for comparing files and srec_info for
  printing summaries.

- The SRecord package has a number for filters: checksum to add checksums
  to the data, crop to keep address ranges, exclude to remove address
  ranges, fill to plug holes in the data, length to insert the data
  length, maximum to insert the data address maximum, minimum to insert
  the data address minimum, offset to adjust addresses, and split for
  wide data buses and memory striping.

More than one filter may be applied to each input file.  Different filters
may be applied to each input file.  All filters may be applied to all
file formats.


%prep
%setup -q

%build
%configure
# Fails to build in SMP machines using "make %{?_smp_mflags}"
make

%install
rm -rf %{buildroot}
make DESTDIR="%{buildroot}" install

%check
# Test scripts requirements: cmp, diff, uudecode
make sure

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr (-,root,root,-)
%doc LICENSE BUILDING README
%{_bindir}/*
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*


%changelog
* Sat Sep 12 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.51-1
- Update to 1.51

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.50-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jul 10 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.50-2
- add BuildRequires: libgcrypt-devel

* Fri Jul 10 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.50-1
- update to 1.50

* Wed Mar  4 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.47-1
- update to 1.47

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.46-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 16 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.46-2
- fix gcc 4.4 compile issues (cstdio)

* Tue Jan 13 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 1.46-1
- update to 1.46

* Thu Nov 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.45-1
- update to 1.45

* Tue Mar 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.39-2
- BR: boost-devel

* Mon Mar 10 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.39-1
- update to 1.39

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.36-2
- Autorebuild for GCC 4.3

* Sat Aug 11 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.36-1
- Update to 1.36.
- License: GPLv3+.

* Sat Jun 23 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.35-1
- Update to 1.35.

* Tue May 22 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.33-1
- Update to 1.33.

* Tue Apr 24 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.32-1
- Update to 1.32.

* Thu Apr  5 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.31-1
- Update to 1.31.

* Fri Mar 23 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.30-1
- Update to 1.30.

* Tue Mar 13 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.29-1
- Update to 1.29.

* Thu Mar  8 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.28-1
- Update to 1.28.

* Wed Jan 31 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.27-1
- Update to 1.27.

* Sun Sep 10 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.26-2
- Rebuild for FC6.

* Tue Jun 20 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.26-1
- Update to 1.26.

* Wed Mar  8 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.24-1
- Update to 1.24.

* Wed Feb 15 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.23-2
- Rebuild.

* Fri Sep 23 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.23-1
- Update to 1.23.

* Thu Sep 15 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.22-2
- Updated the source tarball (PATCHLEVEL "1.22.D002").
  The author repackages updates without changing the tarball version (ARGH!).

* Mon Sep 12 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.22-1
- Update to 1.22.

* Sun Aug  7 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 1.21-1
- Version 1.21.
